#include <iostream>
#include <bits/stdc++.h>

using namespace std;
vector <int> c;

int xor_delilaca (int n, int k)
{
    if(n == 1)
        return 1;

    int sum = 1;
    for(int i=1; i<k; i++)
    {
        if(c[i] == n)
        {
            sum = sum ^ c[i];
            break;
        }
        if(n % c[i] == 0)
            sum = sum ^ c[i];
    }

    return sum;
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, k;
    cin>>n>>k;
    vector <int> v(k);

    for(int i=0; i<k; i++)
    {
        cin>>v[i];
        c.push_back(v[i]);
    }

    sort(c.begin(), c.end());

    for(int i=0; i<k; i++)
    {
        int res = xor_delilaca(v[i], k);

        cout << res << " ";
    }

    return 0;
}